# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global shortname Crypt-X509-CRL
%define perl_ver %( echo %{perl_version} | cut -d"." -f1,2 )

%if ( 0%{?epel} && 0%{?epel <= 8} )
%define perl_ver /
%endif

Name:    perl-%{shortname}
Version: 0.4
Release: 1.ndias%{?dist}
Summary: Parses an X.509 certificate revocation list

License: Artistic 2.0 
URL:     https://github.com/gigageeks/%{shortname}
Source0: https://cpan.metacpan.org/authors/id/G/GI/GIGAGEEK/%{shortname}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: perl-Convert-ASN1, perl-ExtUtils-MakeMaker, perl-Test-Simple
BuildRequires: make, perl-macros

Requires: perl-Convert-ASN1

%description
Crypt::X509::CRL is an object oriented X.509 certificate revocation list
parser with numerous methods for directly extracting information from
certificate revocation lists.

%prep
%setup -q -n %{shortname}-%{version}


%build
perl Makefile.PL PREFIX=%{_prefix}
make %{?_smp_mflags}

%check
make test

%install
%make_install
rm -f %{buildroot}%{_libdir}/perl5/%{perl_ver}/auto/Crypt/X509/CRL/.packlist
rm -f %{buildroot}%{_libdir}/perl5/perllocal.pod


%files
%doc Changes README
%license

%{_mandir}/man3/Crypt::X509::CRL.3pm.gz
%{perl_privlib}/%{perl_ver}/Crypt/X509/CRL.pm


%changelog
* Fri Jun 10 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.4-1.ndias
- Version 0.4

* Tue Aug 4 2009 Nuno Dias <Nuno.Dias@gmail.com> - 0.1-3.ndias
- Version 0.1
